summaryrefslogtreecommitdiffstats
path: root/source/tcl
diff options
context:
space:
mode:
Diffstat (limited to 'source/tcl')
-rwxr-xr-xsource/tcl/expect/expect.SlackBuild38
-rw-r--r--source/tcl/expect/expect.exp_main_tk.c.version.require.diff11
-rwxr-xr-xsource/tcl/tcl/tcl.SlackBuild20
-rwxr-xr-xsource/tcl/tk/tk.SlackBuild28
4 files changed, 44 insertions, 53 deletions
diff --git a/source/tcl/expect/expect.SlackBuild b/source/tcl/expect/expect.SlackBuild
index 42575f8fa..ca3ecbd2b 100755
--- a/source/tcl/expect/expect.SlackBuild
+++ b/source/tcl/expect/expect.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2008, 2009, 2010, 2013 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2008, 2009, 2010, 2013, 2016 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,14 +22,13 @@
PKGNAM=expect
-VERSION=5.44.1.15
-TCLVER=8.6.0
-BUILD=${BUILD:-2}
+VERSION=5.45
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -44,8 +43,8 @@ PKG=$TMP/package-${PKGNAM}
rm -rf $PKG
mkdir -p $TMP $PKG
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -58,17 +57,10 @@ else
LIBDIRSUFFIX=""
fi
-if [ ! -d $TMP/tcl${TCLVER} ]; then
- echo "ERROR: no $TMP/tcl${TCLVER} -- this is needed for Tcl internal headers"
- exit 1
-fi
-
cd $TMP
-rm -rf ${PKGNAM}-${VERSION}
-tar xvf $CWD/${PKGNAM}-$VERSION.tar.bz2 || exit 1
-cd ${PKGNAM}-$VERSION || exit 1
-
-zcat $CWD/expect.exp_main_tk.c.version.require.diff.gz | patch -p1 --verbose || exit 1
+rm -rf ${PKGNAM}${VERSION}
+tar xvf $CWD/${PKGNAM}$VERSION.tar.xz || exit 1
+cd ${PKGNAM}$VERSION || exit 1
# Make sure ownerships and permissions are sane:
chown -R root:root .
@@ -87,23 +79,13 @@ CFLAGS="$SLKCFLAGS" \
--infodir=/usr/info \
--disable-static \
--with-tclconfig=/usr/lib${LIBDIRSUFFIX} \
- --with-tclinclude=/usr/include/tcl-private/generic \
- --with-tkconfig=/usr/lib${LIBDIRSUFFIX} \
- --with-tkinclude=/usr/include/tk-private/generic \
+ --with-tclinclude=/usr/include \
--build=$ARCH-slackware-linux
# Build and install:
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
-# expectk will not work correctly if called from /bin/sh,
-# but using /usr/bin/tclsh will work:
-( cd $PKG/usr/bin
- for file in multixterm tknewsbiff tkpasswd xpstat ; do
- sed -i "s/bin\/sh/usr\/bin\/tclsh/g" $file
- done
-)
-
# Strip binaries:
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/tcl/expect/expect.exp_main_tk.c.version.require.diff b/source/tcl/expect/expect.exp_main_tk.c.version.require.diff
deleted file mode 100644
index 3b4e3eb3a..000000000
--- a/source/tcl/expect/expect.exp_main_tk.c.version.require.diff
+++ /dev/null
@@ -1,11 +0,0 @@
---- ./exp_main_tk.c.orig 2007-07-11 15:22:10.000000000 -0500
-+++ ./exp_main_tk.c 2009-05-11 16:26:15.000000000 -0500
-@@ -374,7 +374,7 @@
- goto done;
- }
- }
-- if (Tcl_PkgRequire(interp, "Tcl", TCL_VERSION, 1) == NULL) {
-+ if (Tcl_PkgRequire(interp, "Tcl", TCL_VERSION, 0) == NULL) {
- code = TCL_ERROR;
- goto done;
- }
diff --git a/source/tcl/tcl/tcl.SlackBuild b/source/tcl/tcl/tcl.SlackBuild
index 0f553b764..b087ba72f 100755
--- a/source/tcl/tcl/tcl.SlackBuild
+++ b/source/tcl/tcl/tcl.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2012, 2013 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2012, 2013, 2016 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,14 +21,14 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=${VERSION:-8.6.1}
+VERSION=${VERSION:-8.6.5}
# See also version number 8.6 in the symlinks below...)
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -42,8 +42,8 @@ TMP=${TMP:-/tmp}
PKG=$TMP/package-tcl
# Use -DHAVE_USLEEP=1 otherwise the bundled sqlite doesn't work well.
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686 -DHAVE_USLEEP=1"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686 -DHAVE_USLEEP=1"
LIBDIRSUFFIX=""
CONFARGS="--enable-64bit"
elif [ "$ARCH" = "s390" ]; then
@@ -90,7 +90,6 @@ CFLAGS="$SLKCFLAGS" \
--enable-threads \
--mandir=/usr/man \
--enable-man-symlinks \
- --enable-man-compression=gzip \
${CONFARGS} \
--build=$ARCH-slackware-linux
@@ -120,6 +119,13 @@ make install-private-headers DESTDIR=$PKG || exit 1
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/source/tcl/tk/tk.SlackBuild b/source/tcl/tk/tk.SlackBuild
index f3f77bbaa..9e7da916d 100755
--- a/source/tcl/tk/tk.SlackBuild
+++ b/source/tcl/tk/tk.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2012, 2013 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2012, 2013, 2016 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -21,14 +21,14 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=${VERSION:-8.6.1}
+VERSION=${VERSION:-8.6.5}
# See also version number 8.6 in the symlinks below...)
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
@@ -37,8 +37,8 @@ fi
NUMJOBS=${NUMJOBS:-" -j7 "}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -87,7 +87,6 @@ CFLAGS="$SLKCFLAGS" \
--enable-64bit \
--mandir=/usr/man \
--enable-man-symlinks \
- --enable-man-compression=gzip \
--build=$ARCH-slackware-linux
make $NUMJOBS || make || exit 1
@@ -116,6 +115,21 @@ make install-private-headers DESTDIR=$PKG || exit 1
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1 | grep -v '\.gz$') ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.?
+ )
+ done
+ )
+fi
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc